// file: $isip/class/pr/PhoneticDecisionTreeNode/pdtnod_01.cc
// version: $Id: pdtnod_01.cc 8688 2002-09-11 20:04:08Z parihar $
//

// isip include files
//
#include "PhoneticDecisionTreeNode.h"

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: logical error status
//
// this is the debug method
//
boolean PhoneticDecisionTreeNode::debug(const unichar* msg_a) const {
  
  // dump the data
  //
  String output;
  String value;

  // write the datapoints
  //
  datapoints_d.debug(L"datapoints_d");  
  
  // write the best attribute
  //
  value.assign(best_attribute_d);
  output.debugStr(name(), msg_a, L"best_attribute_d", value);  
  Console::put(output);

  // write the typical statistical-model index
  //
  value.assign(typical_index_d);
  output.debugStr(name(), msg_a, L"typical_index_d", value);  
  Console::put(output);

  // write the actual statistical-model index
  //
  value.assign(actual_index_d);
  output.debugStr(name(), msg_a, L"actual_index_d", value);  
  Console::put(output);

  // write the typical statistical-model
  //
  typical_stat_model_d.debug(L"typical_stat_model_d");  
  
  // write the flag that denotes if the not exists or it is mergered
  // with some other node
  //
  value.assign(flag_exists_d);
  output.debugStr(name(), msg_a, L"flag_exists_d", value);  
  Console::put(output);
  
  // exit gracefully
  //
  return true;
}
